# NOTE: Derived from blib/lib/Net/DNSBL/Utilities.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Net::DNSBL::Utilities;

#line 464 "blib/lib/Net/DNSBL/Utilities.pm (autosplit into blib/lib/auto/Net/DNSBL/Utilities/matchNetAddr.al)"
sub matchNetAddr { 
  my($ip,$naref) = @_;
  return 0 unless $ip && $ip =~ /\d+\.\d+\.\d+\.\d+/;
  $ip =~ s/\s//g;
  $ip = new NetAddr::IP::Lite($ip);
  my $i;
  for($i=0; $i <= $#{$naref}; $i += 2) {
    my $beg = $naref->[$i];
    my $end = $naref->[$i+1];
    if ($end) {
      return 1  if $ip >= $beg && $ip <= $end;
    } else {
      return 1 if $ip->within($beg);
    }
  }  
  return 0;
}

# end of Net::DNSBL::Utilities::matchNetAddr
1;
